import { Module } from '@nestjs/common';
import { AppController } from './app.controller';
import { TypeOrmModule } from '@nestjs/typeorm';
import { AppService } from './app.service';
import { CommandModule } from 'nestjs-command';
import { GeonamesModule } from './modules/geonames/geonames.module';
import { Geoname } from './modules/geonames/geonames.entity';
import { Country } from './modules/countries/countries.entity';
import { CountriesModule } from './modules/countries/countries.module';

@Module({
  imports: [
    TypeOrmModule.forRoot({
      type: 'mysql',
      host: 'localhost',
      port: 22336,
      username: 'geobase',
      password: 'geobase',
      database: 'geobase',
      name: 'geobase',
      entities: [Geoname, Country],
      synchronize: true,
    }),
    CommandModule,
    GeonamesModule,
    CountriesModule,
  ],
  controllers: [AppController],
  providers: [AppService],
})
export class AppModule {}
