import { Controller, Get, Param, Query } from '@nestjs/common';
import { CountriesQueryDto } from './countries.interfaces';
import { CountriesService } from './countries.service';

@Controller({
  path: '/countries',
})
export class CountriesController {
  constructor(private readonly service: CountriesService) {}

  @Get()
  async getAllCountries(@Query() { q, fields }: CountriesQueryDto) {
    return this.service.search(q, fields);
  }

  @Get(':iso')
  async getByISO(
    @Param('iso') iso: string,
    @Query() { fields }: CountriesQueryDto,
  ) {
    return this.service.getByISO(iso.toUpperCase(), fields);
  }
}
