import { Column, Entity, Index, PrimaryColumn } from 'typeorm';

@Entity()
export class Country {
  @PrimaryColumn({ length: 2 })
  iso: string;

  @Index()
  @Column({ length: 3, nullable: true })
  iso3: string;

  @Column({ length: 3, nullable: true })
  isoNumeric: string;

  @Column({ length: 2, nullable: true })
  fips: string;

  @Index()
  @Column()
  country: string;

  @Index()
  @Column()
  capital: string;

  @Column()
  area: number;

  @Column()
  population: number;

  @Column({ nullable: true })
  continent: string;

  @Column({ nullable: true })
  tld: string;

  @Index()
  @Column({ nullable: true })
  currencyCode: string;

  @Column({ nullable: true })
  currencyName: string;

  @Column({ nullable: true })
  phone: string;

  @Column({ nullable: true })
  postalCodeFormat: string;

  @Column({ nullable: true })
  postalCodeRegex: string;

  @Column({ nullable: true })
  languages: string;

  @Index()
  @Column()
  geonameid: number;

  @Column({ nullable: true })
  neighbours: string;

  @Column({ nullable: true })
  equivalentFipsCode: string;
}
