import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { CommandModule } from 'nestjs-command';
import { CountriesCommand } from './countries.command';
import { CountriesController } from './countries.controller';
import { Country } from './countries.entity';
import { CountriesService } from './countries.service';

@Module({
  imports: [CommandModule, TypeOrmModule.forFeature([Country], 'geobase')],
  controllers: [CountriesController],
  providers: [CountriesService, CountriesCommand],
  exports: [CountriesService, TypeOrmModule],
})
export class CountriesModule {}
