export const GeoFeature: Record<string, string[]> = {
  ADM1: [
    'A',
    'first-order administrative division',
    'a primary administrative division of a country, such as a state in the United States',
  ],
  ADM1H: [
    'A',
    'historical first-order administrative division',
    'a former first-order administrative division',
  ],
  ADM2: [
    'A',
    'second-order administrative division',
    'a subdivision of a first-order administrative division',
  ],
  ADM2H: [
    'A',
    'historical second-order administrative division',
    'a former second-order administrative division',
  ],
  ADM3: [
    'A',
    'third-order administrative division',
    'a subdivision of a second-order administrative division',
  ],
  ADM3H: [
    'A',
    'historical third-order administrative division',
    'a former third-order administrative division',
  ],
  ADM4: [
    'A',
    'fourth-order administrative division',
    'a subdivision of a third-order administrative division',
  ],
  ADM4H: [
    'A',
    'historical fourth-order administrative division',
    'a former fourth-order administrative division',
  ],
  ADM5: [
    'A',
    'fifth-order administrative division',
    'a subdivision of a fourth-order administrative division',
  ],
  ADM5H: [
    'A',
    'historical fifth-order administrative division',
    'a former fifth-order administrative division',
  ],
  ADMD: [
    'A',
    'administrative division',
    'an administrative division of a country, undifferentiated as to administrative level',
  ],
  ADMDH: [
    'A',
    'historical administrative division ',
    'a former administrative division of a political entity, undifferentiated as to administrative level',
  ],
  LTER: [
    'A',
    'leased area',
    'a tract of land leased to another country, usually for military installations',
  ],
  PCL: ['A', 'political entity', ''],
  PCLD: ['A', 'dependent political entity', ''],
  PCLF: ['A', 'freely associated state', ''],
  PCLH: ['A', 'historical political entity', 'a former political entity'],
  PCLI: ['A', 'independent political entity', ''],
  PCLIX: ['A', 'section of independent political entity', ''],
  PCLS: ['A', 'semi-independent political entity', ''],
  PRSH: ['A', 'parish', 'an ecclesiastical district'],
  TERR: ['A', 'territory', ''],
  ZN: ['A', 'zone', ''],
  ZNB: [
    'A',
    'buffer zone',
    'a zone recognized as a buffer between two nations in which military presence is minimal or absent',
  ],
  AIRS: [
    'H',
    'seaplane landing area',
    'a place on a waterbody where floatplanes land and take off',
  ],
  ANCH: ['H', 'anchorage', 'an area where vessels may anchor'],
  BAY: [
    'H',
    'bay',
    'a coastal indentation between two capes or headlands, larger than a cove but smaller than a gulf',
  ],
  BAYS: [
    'H',
    'bays',
    'coastal indentations between two capes or headlands, larger than a cove but smaller than a gulf',
  ],
  BGHT: [
    'H',
    'bight(s)',
    'an open body of water forming a slight recession in a coastline',
  ],
  BNK: [
    'H',
    'bank(s)',
    'an elevation, typically located on a shelf, over which the depth of water is relatively shallow but sufficient for most surface navigation',
  ],
  BNKR: [
    'H',
    'stream bank',
    'a sloping margin of a stream channel which normally confines the stream to its channel on land',
  ],
  BNKX: ['H', 'section of bank', ''],
  BOG: [
    'H',
    'bog(s)',
    'a wetland characterized by peat forming sphagnum moss, sedge, and other acid-water plants',
  ],
  CAPG: [
    'H',
    'icecap',
    'a dome-shaped mass of glacial ice covering an area of mountain summits or other high lands; smaller than an ice sheet',
  ],
  CHN: [
    'H',
    'channel',
    'the deepest part of a stream, bay, lagoon, or strait, through which the main current flows',
  ],
  CHNL: [
    'H',
    'lake channel(s)',
    'that part of a lake having water deep enough for navigation between islands, shoals, etc.',
  ],
  CHNM: [
    'H',
    'marine channel',
    'that part of a body of water deep enough for navigation through an area otherwise not suitable',
  ],
  CHNN: [
    'H',
    'navigation channel',
    'a buoyed channel of sufficient depth for the safe navigation of vessels',
  ],
  CNFL: [
    'H',
    'confluence',
    'a place where two or more streams or intermittent streams flow together',
  ],
  CNL: ['H', 'canal', 'an artificial watercourse'],
  CNLA: ['H', 'aqueduct', 'a conduit used to carry water'],
  CNLB: [
    'H',
    'canal bend',
    'a conspicuously curved or bent section of a canal',
  ],
  CNLD: [
    'H',
    'drainage canal',
    'an artificial waterway carrying water away from a wetland or from drainage ditches',
  ],
  CNLI: [
    'H',
    'irrigation canal',
    'a canal which serves as a main conduit for irrigation water',
  ],
  CNLN: [
    'H',
    'navigation canal(s)',
    'a watercourse constructed for navigation of vessels',
  ],
  CNLQ: ['H', 'abandoned canal', ''],
  CNLSB: [
    'H',
    'underground irrigation canal(s)',
    'a gently inclined underground tunnel bringing water for irrigation from aquifers',
  ],
  CNLX: ['H', 'section of canal', ''],
  COVE: ['H', 'cove(s)', 'a small coastal indentation, smaller than a bay'],
  CRKT: [
    'H',
    'tidal creek(s)',
    'a meandering channel in a coastal wetland subject to bi-directional tidal currents',
  ],
  CRNT: [
    'H',
    'current',
    'a horizontal flow of water in a given direction with uniform velocity',
  ],
  CUTF: [
    'H',
    'cutoff',
    'a channel formed as a result of a stream cutting through a meander neck',
  ],
  DCK: [
    'H',
    'dock(s)',
    'a waterway between two piers, or cut into the land for the berthing of ships',
  ],
  DCKB: ['H', 'docking basin', 'a part of a harbor where ships dock'],
  DOMG: ['H', 'icecap dome', 'a comparatively elevated area on an icecap'],
  DPRG: [
    'H',
    'icecap depression',
    'a comparatively depressed area on an icecap',
  ],
  DTCH: [
    'H',
    'ditch',
    'a small artificial watercourse dug for draining or irrigating the land',
  ],
  DTCHD: ['H', 'drainage ditch', 'a ditch which serves to drain the land'],
  DTCHI: [
    'H',
    'irrigation ditch',
    'a ditch which serves to distribute irrigation water',
  ],
  DTCHM: [
    'H',
    'ditch mouth(s)',
    'an area where a drainage ditch enters a lagoon, lake or bay',
  ],
  ESTY: [
    'H',
    'estuary',
    'a funnel-shaped stream mouth or embayment where fresh water mixes with sea water under tidal influences',
  ],
  FISH: [
    'H',
    'fishing area',
    'a fishing ground, bank or area where fishermen go to catch fish',
  ],
  FJD: [
    'H',
    'fjord',
    'a long, narrow, steep-walled, deep-water arm of the sea at high latitudes, usually along mountainous coasts',
  ],
  FJDS: [
    'H',
    'fjords',
    'long, narrow, steep-walled, deep-water arms of the sea at high latitudes, usually along mountainous coasts',
  ],
  FLLS: [
    'H',
    'waterfall(s)',
    'a perpendicular or very steep descent of the water of a stream',
  ],
  FLLSX: ['H', 'section of waterfall(s)', ''],
  FLTM: [
    'H',
    'mud flat(s)',
    'a relatively level area of mud either between high and low tide lines, or subject to flooding',
  ],
  FLTT: [
    'H',
    'tidal flat(s)',
    'a large flat area of mud or sand attached to the shore and alternately covered and uncovered by the tide',
  ],
  GLCR: [
    'H',
    'glacier(s)',
    'a mass of ice, usually at high latitudes or high elevations, with sufficient thickness to flow away from the source area in lobes, tongues, or masses',
  ],
  GULF: ['H', 'gulf', 'a large recess in the coastline, larger than a bay'],
  GYSR: [
    'H',
    'geyser',
    'a type of hot spring with intermittent eruptions of jets of hot water and steam',
  ],
  HBR: [
    'H',
    'harbor(s)',
    'a haven or space of deep water so sheltered by the adjacent land as to afford a safe anchorage for ships',
  ],
  HBRX: ['H', 'section of harbor', ''],
  INLT: [
    'H',
    'inlet',
    'a narrow waterway extending into the land, or connecting a bay or lagoon with a larger body of water',
  ],
  INLTQ: [
    'H',
    'former inlet',
    'an inlet which has been filled in, or blocked by deposits',
  ],
  LBED: ['H', 'lake bed(s)', 'a dried up or drained area of a former lake'],
  LGN: [
    'H',
    'lagoon',
    'a shallow coastal waterbody, completely or partly separated from a larger body of water by a barrier island, coral reef or other depositional feature',
  ],
  LGNS: [
    'H',
    'lagoons',
    'shallow coastal waterbodies, completely or partly separated from a larger body of water by a barrier island, coral reef or other depositional feature',
  ],
  LGNX: ['H', 'section of lagoon', ''],
  LK: ['H', 'lake', 'a large inland body of standing water'],
  LKC: ['H', 'crater lake', 'a lake in a crater or caldera'],
  LKI: ['H', 'intermittent lake', ''],
  LKN: ['H', 'salt lake', 'an inland body of salt water with no outlet'],
  LKNI: ['H', 'intermittent salt lake', ''],
  LKO: [
    'H',
    'oxbow lake',
    'a crescent-shaped lake commonly found adjacent to meandering streams',
  ],
  LKOI: ['H', 'intermittent oxbow lake', ''],
  LKS: ['H', 'lakes', 'large inland bodies of standing water'],
  LKSB: ['H', 'underground lake', 'a standing body of water in a cave'],
  LKSC: ['H', 'crater lakes', 'lakes in a crater or caldera'],
  LKSI: ['H', 'intermittent lakes', ''],
  LKSN: ['H', 'salt lakes', 'inland bodies of salt water with no outlet'],
  LKSNI: ['H', 'intermittent salt lakes', ''],
  LKX: ['H', 'section of lake', ''],
  MFGN: [
    'H',
    'salt evaporation ponds',
    'diked salt ponds used in the production of solar evaporated salt',
  ],
  MGV: [
    'H',
    'mangrove swamp',
    'a tropical tidal mud flat characterized by mangrove vegetation',
  ],
  MOOR: [
    'H',
    'moor(s)',
    'an area of open ground overlaid with wet peaty soils',
  ],
  MRSH: ['H', 'marsh(es)', 'a wetland dominated by grass-like vegetation'],
  MRSHN: [
    'H',
    'salt marsh',
    'a flat area, subject to periodic salt water inundation, dominated by grassy salt-tolerant plants',
  ],
  NRWS: [
    'H',
    'narrows',
    'a navigable narrow part of a bay, strait, river, etc.',
  ],
  OCN: [
    'H',
    'ocean',
    'one of the major divisions of the vast expanse of salt water covering part of the earth',
  ],
  OVF: [
    'H',
    'overfalls',
    'an area of breaking waves caused by the meeting of currents or by waves moving against the current',
  ],
  PND: ['H', 'pond', 'a small standing waterbody'],
  PNDI: ['H', 'intermittent pond', ''],
  PNDN: [
    'H',
    'salt pond',
    'a small standing body of salt water often in a marsh or swamp, usually along a seacoast',
  ],
  PNDNI: ['H', 'intermittent salt pond(s)', ''],
  PNDS: ['H', 'ponds', 'small standing waterbodies'],
  PNDSF: [
    'H',
    'fishponds',
    'ponds or enclosures in which fish are kept or raised',
  ],
  PNDSI: ['H', 'intermittent ponds', ''],
  PNDSN: [
    'H',
    'salt ponds',
    'small standing bodies of salt water often in a marsh or swamp, usually along a seacoast',
  ],
  POOL: [
    'H',
    'pool(s)',
    'a small and comparatively still, deep part of a larger body of water such as a stream or harbor; or a small body of standing water',
  ],
  POOLI: ['H', 'intermittent pool', ''],
  RCH: [
    'H',
    'reach',
    'a straight section of a navigable stream or channel between two bends',
  ],
  RDGG: ['H', 'icecap ridge', 'a linear elevation on an icecap'],
  RDST: [
    'H',
    'roadstead',
    'an open anchorage affording less protection than a harbor',
  ],
  RF: [
    'H',
    'reef(s)',
    'a surface-navigation hazard composed of consolidated material',
  ],
  RFC: ['H', 'coral reef(s)', 'a surface-navigation hazard composed of coral'],
  RFX: ['H', 'section of reef', ''],
  RPDS: [
    'H',
    'rapids',
    'a turbulent section of a stream associated with a steep, irregular stream bed',
  ],
  RSV: ['H', 'reservoir(s)', 'an artificial pond or lake'],
  RSVI: ['H', 'intermittent reservoir', ''],
  RSVT: [
    'H',
    'water tank',
    'a contained pool or tank of water at, below, or above ground level',
  ],
  RVN: [
    'H',
    'ravine(s)',
    'a small, narrow, deep, steep-sided stream channel, smaller than a gorge',
  ],
  SBKH: [
    'H',
    'sabkha(s)',
    'a salt flat or salt encrusted plain subject to periodic inundation from flooding or high tides',
  ],
  SD: [
    'H',
    'sound',
    'a long arm of the sea forming a channel between the mainland and an island or islands; or connecting two larger bodies of water',
  ],
  SEA: [
    'H',
    'sea',
    'a large body of salt water more or less confined by continuous land or chains of islands forming a subdivision of an ocean',
  ],
  SHOL: [
    'H',
    'shoal(s)',
    'a surface-navigation hazard composed of unconsolidated material',
  ],
  SILL: [
    'H',
    'sill',
    'the low part of an underwater gap or saddle separating basins, including a similar feature at the mouth of a fjord',
  ],
  SPNG: [
    'H',
    'spring(s)',
    'a place where ground water flows naturally out of the ground',
  ],
  SPNS: [
    'H',
    'sulphur spring(s)',
    'a place where sulphur ground water flows naturally out of the ground',
  ],
  SPNT: [
    'H',
    'hot spring(s)',
    'a place where hot ground water flows naturally out of the ground',
  ],
  STM: [
    'H',
    'stream',
    'a body of running water moving to a lower level in a channel on land',
  ],
  STMA: [
    'H',
    'anabranch',
    'a diverging branch flowing out of a main stream and rejoining it downstream',
  ],
  STMB: [
    'H',
    'stream bend',
    'a conspicuously curved or bent segment of a stream',
  ],
  STMC: [
    'H',
    'canalized stream',
    'a stream that has been substantially ditched, diked, or straightened',
  ],
  STMD: [
    'H',
    'distributary(-ies)',
    'a branch which flows away from the main stream, as in a delta or irrigation canal',
  ],
  STMH: [
    'H',
    'headwaters',
    'the source and upper part of a stream, including the upper drainage basin',
  ],
  STMI: ['H', 'intermittent stream', ''],
  STMIX: ['H', 'section of intermittent stream', ''],
  STMM: [
    'H',
    'stream mouth(s)',
    'a place where a stream discharges into a lagoon, lake, or the sea',
  ],
  STMQ: [
    'H',
    'abandoned watercourse',
    'a former stream or distributary no longer carrying flowing water, but still evident due to lakes, wetland, topographic or vegetation patterns',
  ],
  STMS: [
    'H',
    'streams',
    'bodies of running water moving to a lower level in a channel on land',
  ],
  STMSB: [
    'H',
    'lost river',
    'a surface stream that disappears into an underground channel, or dries up in an arid area',
  ],
  STMX: ['H', 'section of stream', ''],
  STRT: [
    'H',
    'strait',
    'a relatively narrow waterway, usually narrower and less extensive than a sound, connecting two larger bodies of water',
  ],
  SWMP: ['H', 'swamp', 'a wetland dominated by tree vegetation'],
  SYSI: [
    'H',
    'irrigation system',
    'a network of ditches and one or more of the following elements: water supply, reservoir, canal, pump, well, drain, etc.',
  ],
  TNLC: ['H', 'canal tunnel', 'a tunnel through which a canal passes'],
  WAD: [
    'H',
    'wadi',
    'a valley or ravine, bounded by relatively steep banks, which in the rainy season becomes a watercourse; found primarily in North Africa and the Middle East',
  ],
  WADB: ['H', 'wadi bend', 'a conspicuously curved or bent segment of a wadi'],
  WADJ: ['H', 'wadi junction', 'a place where two or more wadies join'],
  WADM: [
    'H',
    'wadi mouth',
    'the lower terminus of a wadi where it widens into an adjoining floodplain, depression, or waterbody',
  ],
  WADS: [
    'H',
    'wadies',
    'valleys or ravines, bounded by relatively steep banks, which in the rainy season become watercourses; found primarily in North Africa and the Middle East',
  ],
  WADX: ['H', 'section of wadi', ''],
  WHRL: [
    'H',
    'whirlpool',
    'a turbulent, rotating movement of water in a stream',
  ],
  WLL: [
    'H',
    'well',
    'a cylindrical hole, pit, or tunnel drilled or dug down to a depth from which water, oil, or gas can be pumped or brought to the surface',
  ],
  WLLQ: ['H', 'abandoned well', ''],
  WLLS: [
    'H',
    'wells',
    'cylindrical holes, pits, or tunnels drilled or dug down to a depth from which water, oil, or gas can be pumped or brought to the surface',
  ],
  WTLD: [
    'H',
    'wetland',
    'an area subject to inundation, usually characterized by bog, marsh, or swamp vegetation',
  ],
  WTLDI: ['H', 'intermittent wetland', ''],
  WTRC: [
    'H',
    'watercourse',
    'a natural, well-defined channel produced by flowing water, or an artificial channel designed to carry flowing water',
  ],
  WTRH: [
    'H',
    'waterhole(s)',
    'a natural hole, hollow, or small depression that contains water, used by man and animals, especially in arid areas',
  ],
  AGRC: [
    'L',
    'agricultural colony',
    'a tract of land set aside for agricultural settlement',
  ],
  AMUS: [
    'L',
    'amusement park',
    'Amusement Park are theme parks, adventure parks offering entertainment, similar to funfairs but with a fix location',
  ],
  AREA: [
    'L',
    'area',
    'a tract of land without homogeneous character or boundaries',
  ],
  BSND: ['L', 'drainage basin', 'an area drained by a stream'],
  BSNP: [
    'L',
    'petroleum basin',
    'an area underlain by an oil-rich structural basin',
  ],
  BTL: ['L', 'battlefield', 'a site of a land battle of historical importance'],
  CLG: ['L', 'clearing', 'an area in a forest with trees removed'],
  CMN: ['L', 'common', 'a park or pasture for community use'],
  CNS: [
    'L',
    'concession area',
    'a lease of land by a government for economic development, e.g., mining, forestry',
  ],
  COLF: [
    'L',
    'coalfield',
    'a region in which coal deposits of possible economic value occur',
  ],
  CONT: [
    'L',
    'continent',
    'continent: Europe, Africa, Asia, North America, South America, Oceania, Antarctica',
  ],
  CST: ['L', 'coast', 'a zone of variable width straddling the shoreline'],
  CTRB: [
    'L',
    'business center',
    'a place where a number of businesses are located',
  ],
  DEVH: [
    'L',
    'housing development',
    'a tract of land on which many houses of similar design are built according to a development plan',
  ],
  FLD: ['L', 'field(s)', 'an open as opposed to wooded area'],
  FLDI: [
    'L',
    'irrigated field(s)',
    'a tract of level or terraced land which is irrigated',
  ],
  GASF: [
    'L',
    'gasfield',
    'an area containing a subterranean store of natural gas of economic value',
  ],
  GRAZ: ['L', 'grazing area', 'an area of grasses and shrubs used for grazing'],
  GVL: ['L', 'gravel area', 'an area covered with gravel'],
  INDS: [
    'L',
    'industrial area',
    'an area characterized by industrial activity',
  ],
  LAND: ['L', 'arctic land', 'a tract of land in the Arctic'],
  LCTY: [
    'L',
    'locality',
    'a minor area or place of unspecified or mixed character and indefinite boundaries',
  ],
  MILB: [
    'L',
    'military base',
    'a place used by an army or other armed service for storing arms and supplies, and for accommodating and training troops, a base from which operations can be initiated',
  ],
  MNA: [
    'L',
    'mining area',
    'an area of mine sites where minerals and ores are extracted',
  ],
  MVA: [
    'L',
    'maneuver area',
    'a tract of land where military field exercises are carried out',
  ],
  NVB: [
    'L',
    'naval base',
    'an area used to store supplies, provide barracks for troops and naval personnel, a port for naval vessels, and from which operations are initiated',
  ],
  OAS: [
    'L',
    'oasis(-es)',
    'an area in a desert made productive by the availability of water',
  ],
  OILF: [
    'L',
    'oilfield',
    'an area containing a subterranean store of petroleum of economic value',
  ],
  PEAT: ['L', 'peat cutting area', 'an area where peat is harvested'],
  PRK: [
    'L',
    'park',
    'an area, often of forested land, maintained as a place of beauty, or for recreation',
  ],
  PRT: [
    'L',
    'port',
    'a place provided with terminal and transfer facilities for loading and discharging waterborne cargo or passengers, usually located in a harbor',
  ],
  QCKS: [
    'L',
    'quicksand',
    'an area where loose sand with water moving through it may become unstable when heavy objects are placed at the surface, causing them to sink',
  ],
  RES: [
    'L',
    'reserve',
    'a tract of public land reserved for future use or restricted as to use',
  ],
  RESA: [
    'L',
    'agricultural reserve',
    'a tract of land reserved for agricultural reclamation and/or development',
  ],
  RESF: [
    'L',
    'forest reserve',
    'a forested area set aside for preservation or controlled use',
  ],
  RESH: ['L', 'hunting reserve', 'a tract of land used primarily for hunting'],
  RESN: [
    'L',
    'nature reserve',
    'an area reserved for the maintenance of a natural habitat',
  ],
  RESP: [
    'L',
    'palm tree reserve',
    'an area of palm trees where use is controlled',
  ],
  RESV: [
    'L',
    'reservation',
    'a tract of land set aside for aboriginal, tribal, or native populations',
  ],
  RESW: [
    'L',
    'wildlife reserve',
    'a tract of public land reserved for the preservation of wildlife',
  ],
  RGN: [
    'L',
    'region',
    'an area distinguished by one or more observable physical or cultural characteristics',
  ],
  RGNE: [
    'L',
    'economic region',
    'a region of a country established for economic development or for statistical purposes',
  ],
  RGNH: [
    'L',
    'historical region',
    'a former historic area distinguished by one or more observable physical or cultural characteristics',
  ],
  RGNL: ['L', 'lake region', 'a tract of land distinguished by numerous lakes'],
  RNGA: [
    'L',
    'artillery range',
    'a tract of land used for artillery firing practice',
  ],
  SALT: [
    'L',
    'salt area',
    'a shallow basin or flat where salt accumulates after periodic inundation',
  ],
  SNOW: [
    'L',
    'snowfield',
    'an area of permanent snow and ice forming the accumulation area of a glacier',
  ],
  TRB: ['L', 'tribal area', 'a tract of land used by nomadic or other tribes'],
  PPL: [
    'P',
    'populated place',
    'a city, town, village, or other agglomeration of buildings where people live and work',
  ],
  PPLA: [
    'P',
    'seat of a first-order administrative division',
    'seat of a first-order administrative division (PPLC takes precedence over PPLA)',
  ],
  PPLA2: ['P', 'seat of a second-order administrative division', ''],
  PPLA3: ['P', 'seat of a third-order administrative division', ''],
  PPLA4: ['P', 'seat of a fourth-order administrative division', ''],
  PPLA5: ['P', 'seat of a fifth-order administrative division', ''],
  PPLC: ['P', 'capital of a political entity', ''],
  PPLCH: [
    'P',
    'historical capital of a political entity',
    'a former capital of a political entity',
  ],
  PPLF: [
    'P',
    'farm village',
    'a populated place where the population is largely engaged in agricultural activities',
  ],
  PPLG: ['P', 'seat of government of a political entity', ''],
  PPLH: [
    'P',
    'historical populated place',
    'a populated place that no longer exists',
  ],
  PPLL: [
    'P',
    'populated locality',
    'an area similar to a locality but with a small group of dwellings or other buildings',
  ],
  PPLQ: ['P', 'abandoned populated place', ''],
  PPLR: [
    'P',
    'religious populated place',
    'a populated place whose population is largely engaged in religious occupations',
  ],
  PPLS: [
    'P',
    'populated places',
    'cities, towns, villages, or other agglomerations of buildings where people live and work',
  ],
  PPLW: [
    'P',
    'destroyed populated place',
    'a village, town or city destroyed by a natural disaster, or by war',
  ],
  PPLX: ['P', 'section of populated place', ''],
  STLMT: ['P', 'israeli settlement', ''],
  CSWY: [
    'R',
    'causeway',
    'a raised roadway across wet ground or shallow water',
  ],
  OILP: ['R', 'oil pipeline', 'a pipeline used for transporting oil'],
  PRMN: [
    'R',
    'promenade',
    'a place for public walking, usually along a beach front',
  ],
  PTGE: [
    'R',
    'portage',
    'a place where boats, goods, etc., are carried overland between navigable waters',
  ],
  RD: [
    'R',
    'road',
    'an open way with improved surface for transportation of animals, people and vehicles',
  ],
  RDA: ['R', 'ancient road', 'the remains of a road used by ancient cultures'],
  RDB: ['R', 'road bend', 'a conspicuously curved or bent section of a road'],
  RDCUT: [
    'R',
    'road cut',
    'an excavation cut through a hill or ridge for a road',
  ],
  RDJCT: ['R', 'road junction', 'a place where two or more roads join'],
  RJCT: [
    'R',
    'railroad junction',
    'a place where two or more railroad tracks join',
  ],
  RR: [
    'R',
    'railroad',
    'a permanent twin steel-rail track on which freight and passenger cars move long distances',
  ],
  RRQ: ['R', 'abandoned railroad', ''],
  RTE: ['R', 'caravan route', 'the route taken by caravans'],
  RYD: [
    'R',
    'railroad yard',
    'a system of tracks used for the making up of trains, and switching and storing freight cars',
  ],
  ST: ['R', 'street', 'a paved urban thoroughfare'],
  STKR: ['R', 'stock route', 'a route taken by livestock herds'],
  TNL: ['R', 'tunnel', 'a subterranean passageway for transportation'],
  TNLN: ['R', 'natural tunnel', 'a cave that is open at both ends'],
  TNLRD: ['R', 'road tunnel', 'a tunnel through which a road passes'],
  TNLRR: ['R', 'railroad tunnel', 'a tunnel through which a railroad passes'],
  TNLS: ['R', 'tunnels', 'subterranean passageways for transportation'],
  TRL: [
    'R',
    'trail',
    'a path, track, or route used by pedestrians, animals, or off-road vehicles',
  ],
  ADMF: ['S', 'administrative facility', 'a government building'],
  AGRF: [
    'S',
    'agricultural facility',
    'a building and/or tract of land used for improving agriculture',
  ],
  AIRB: [
    'S',
    'airbase',
    'an area used to store supplies, provide barracks for air force personnel, hangars and runways for aircraft, and from which operations are initiated',
  ],
  AIRF: [
    'S',
    'airfield',
    'a place on land where aircraft land and take off; no facilities provided for the commercial handling of passengers and cargo',
  ],
  AIRH: ['S', 'heliport', 'a place where helicopters land and take off'],
  AIRP: [
    'S',
    'airport',
    'a place where aircraft regularly land and take off, with runways, navigational aids, and major facilities for the commercial handling of passengers and cargo',
  ],
  AIRQ: ['S', 'abandoned airfield', ''],
  AIRT: [
    'S',
    'terminal',
    'airport facilities for the handling of freight and passengers',
  ],
  AMTH: [
    'S',
    'amphitheater',
    'an oval or circular structure with rising tiers of seats about a stage or open space',
  ],
  ANS: [
    'S',
    'archaeological/prehistoric site',
    'a place where archeological remains, old structures, or cultural artifacts are located',
  ],
  AQC: [
    'S',
    'aquaculture facility',
    'facility or area for the cultivation of aquatic animals and plants, especially fish, shellfish, and seaweed, in natural or controlled marine or freshwater environments; underwater agriculture',
  ],
  ARCH: ['S', 'arch', 'a natural or man-made structure in the form of an arch'],
  ARCHV: [
    'S',
    'archive',
    'a place or institution where documents are preserved',
  ],
  ART: [
    'S',
    'piece of art',
    'a piece of art, like a sculpture, painting. In contrast to monument (MNMT) it is not commemorative.',
  ],
  ASTR: [
    'S',
    'astronomical station',
    'a point on the earth whose position has been determined by observations of celestial bodies',
  ],
  ASYL: [
    'S',
    'asylum',
    'a facility where the insane are cared for and protected',
  ],
  ATHF: [
    'S',
    'athletic field',
    'a tract of land used for playing team sports, and athletic track and field events',
  ],
  ATM: [
    'S',
    'automatic teller machine',
    'An unattended electronic machine in a public place, connected to a data system and related equipment and activated by a bank customer to obtain cash withdrawals and other banking services. ',
  ],
  BANK: [
    'S',
    'bank',
    'A business establishment in which money is kept for saving or commercial purposes or is invested, supplied for loans, or exchanged. ',
  ],
  BCN: ['S', 'beacon', 'a fixed artificial navigation mark'],
  BDG: [
    'S',
    'bridge',
    'a structure erected across an obstacle such as a stream, road, etc., in order to carry roads, railroads, and pedestrians across',
  ],
  BDGQ: [
    'S',
    'ruined bridge',
    'a destroyed or decayed bridge which is no longer functional',
  ],
  BLDA: [
    'S',
    'apartment building',
    'a building containing several individual apartments',
  ],
  BLDG: [
    'S',
    'building(s)',
    'a structure built for permanent use, as a house, factory, etc.',
  ],
  BLDO: [
    'S',
    'office building',
    'commercial building where business and/or services are conducted',
  ],
  BP: ['S', 'boundary marker', 'a fixture marking a point along a boundary'],
  BRKS: ['S', 'barracks', 'a building for lodging military personnel'],
  BRKW: [
    'S',
    'breakwater',
    'a structure erected to break the force of waves at the entrance to a harbor or port',
  ],
  BSTN: ['S', 'baling station', 'a facility for baling agricultural products'],
  BTYD: [
    'S',
    'boatyard',
    'a waterside facility for servicing, repairing, and building small vessels',
  ],
  BUR: ['S', 'burial cave(s)', 'a cave used for human burials'],
  BUSTN: [
    'S',
    'bus station',
    'a facility comprising ticket office, platforms, etc. for loading and unloading passengers ',
  ],
  BUSTP: ['S', 'bus stop', 'a place lacking station facilities'],
  CARN: [
    'S',
    'cairn',
    'a heap of stones erected as a landmark or for other purposes',
  ],
  CAVE: [
    'S',
    'cave(s)',
    'an underground passageway or chamber, or cavity on the side of a cliff',
  ],
  CH: ['S', 'church', 'a building for public Christian worship'],
  CMP: [
    'S',
    'camp(s)',
    'a site occupied by tents, huts, or other shelters for temporary use',
  ],
  CMPL: ['S', 'logging camp', 'a camp used by loggers'],
  CMPLA: ['S', 'labor camp', 'a camp used by migrant or temporary laborers'],
  CMPMN: ['S', 'mining camp', 'a camp used by miners'],
  CMPO: ['S', 'oil camp', 'a camp used by oilfield workers'],
  CMPQ: ['S', 'abandoned camp', ''],
  CMPRF: ['S', 'refugee camp', 'a camp used by refugees'],
  CMTY: ['S', 'cemetery', 'a burial place or ground'],
  COMC: [
    'S',
    'communication center',
    'a facility, including buildings, antennae, towers and electronic equipment for receiving and transmitting information',
  ],
  CRRL: [
    'S',
    'corral(s)',
    'a pen or enclosure for confining or capturing animals',
  ],
  CSNO: [
    'S',
    'casino',
    'a building used for entertainment, especially gambling',
  ],
  CSTL: ['S', 'castle', 'a large fortified building or set of buildings'],
  CSTM: [
    'S',
    'customs house',
    'a building in a port where customs and duties are paid, and where vessels are entered and cleared',
  ],
  CTHSE: ['S', 'courthouse', 'a building in which courts of law are held'],
  CTRA: [
    'S',
    'atomic center',
    'a facility where atomic research is carried out',
  ],
  CTRCM: [
    'S',
    'community center',
    'a facility for community recreation and other activities',
  ],
  CTRF: [
    'S',
    'facility center',
    'a place where more than one facility is situated',
  ],
  CTRM: [
    'S',
    "medical center', 'a complex of health care buildings including two or more of the following: hospital, medical school, clinic, pharmacy, doctor's offices, etc.",
  ],
  CTRR: [
    'S',
    "religious center', 'a facility where more than one religious activity is carried out, e.g., retreat, school, monastery, worship",
  ],
  CTRS: [
    'S',
    'space center',
    'a facility for launching, tracking, or controlling satellites and space vehicles',
  ],
  CVNT: [
    'S',
    'convent',
    'a building where a community of nuns lives in seclusion',
  ],
  DAM: ['S', 'dam', 'a barrier constructed across a stream to impound water'],
  DAMQ: [
    'S',
    'ruined dam',
    'a destroyed or decayed dam which is no longer functional',
  ],
  DAMSB: ['S', 'sub-surface dam', 'a dam put down to bedrock in a sand river'],
  DARY: [
    'S',
    'dairy',
    'a facility for the processing, sale and distribution of milk or milk products',
  ],
  DCKD: [
    'S',
    'dry dock',
    'a dock providing support for a vessel, and means for removing the water so that the bottom of the vessel can be exposed',
  ],
  DCKY: [
    'S',
    'dockyard',
    'a facility for servicing, building, or repairing ships',
  ],
  DIKE: [
    'S',
    'dike',
    'an earth or stone embankment usually constructed for flood or stream control',
  ],
  DIP: [
    'S',
    "diplomatic facility', 'office, residence, or facility of a foreign government, which may include an embassy, consulate, chancery, office of charge d'affaires, or other diplomatic, economic, military, or cultural mission",
  ],
  DPOF: ['S', 'fuel depot', 'an area where fuel is stored'],
  EST: [
    'S',
    'estate(s)',
    'a large commercialized agricultural landholding with associated buildings and other facilities',
  ],
  ESTO: [
    'S',
    'oil palm plantation',
    'an estate specializing in the cultivation of oil palm trees',
  ],
  ESTR: [
    'S',
    'rubber plantation',
    'an estate which specializes in growing and tapping rubber trees',
  ],
  ESTSG: [
    'S',
    'sugar plantation',
    'an estate that specializes in growing sugar cane',
  ],
  ESTT: [
    'S',
    'tea plantation',
    'an estate which specializes in growing tea bushes',
  ],
  ESTX: ['S', 'section of estate', ''],
  FCL: [
    'S',
    'facility',
    'a building or buildings housing a center, institute, foundation, hospital, prison, mission, courthouse, etc.',
  ],
  FNDY: [
    'S',
    'foundry',
    'a building or works where metal casting is carried out',
  ],
  FRM: [
    'S',
    'farm',
    'a tract of land with associated buildings devoted to agriculture',
  ],
  FRMQ: ['S', 'abandoned farm', ''],
  FRMS: [
    'S',
    'farms',
    'tracts of land with associated buildings devoted to agriculture',
  ],
  FRMT: [
    'S',
    'farmstead',
    'the buildings and adjacent service areas of a farm',
  ],
  FT: ['S', 'fort', 'a defensive structure or earthworks'],
  FY: [
    'S',
    'ferry',
    'a boat or other floating conveyance and terminal facilities regularly used to transport people and vehicles across a waterbody',
  ],
  FYT: [
    'S',
    'ferry terminal',
    'a place where ferries pick-up and discharge passengers, vehicles and or cargo',
  ],
  GATE: ['S', 'gate', 'a controlled access entrance or exit'],
  GDN: [
    'S',
    'garden(s)',
    'an enclosure for displaying selected plant or animal life',
  ],
  GHAT: [
    'S',
    'ghat',
    'a set of steps leading to a river, which are of religious significance, and at their base is usually a platform for bathing',
  ],
  GHSE: [
    'S',
    'guest house',
    'a house used to provide lodging for paying guests',
  ],
  GOSP: [
    'S',
    'gas-oil separator plant',
    'a facility for separating gas from oil',
  ],
  GOVL: [
    'S',
    'local government office',
    'a facility housing local governmental offices, usually a city, town, or village hall',
  ],
  GRVE: ['S', 'grave', 'a burial site'],
  HERM: ['S', 'hermitage', 'a secluded residence, usually for religious sects'],
  HLT: ['S', 'halting place', 'a place where caravans stop for rest'],
  HMSD: [
    'S',
    "homestead', 'a residence, owner's or manager's, on a sheep or cattle station, woolshed, outcamp, or Aboriginal outstation, specific to Australia and New Zealand ",
  ],
  HSE: ['S', 'house(s)', 'a building used as a human habitation'],
  HSEC: [
    'S',
    'country house',
    'a large house, mansion, or chateau, on a large estate',
  ],
  HSP: [
    'S',
    'hospital',
    'a building in which sick or injured, especially those confined to bed, are medically treated',
  ],
  HSPC: [
    'S',
    'clinic',
    'a medical facility associated with a hospital for outpatients',
  ],
  HSPD: [
    'S',
    'dispensary',
    'a building where medical or dental aid is dispensed',
  ],
  HSPL: ['S', 'leprosarium', 'an asylum or hospital for lepers'],
  HSTS: ['S', 'historical site', 'a place of historical importance'],
  HTL: [
    'S',
    'hotel',
    'a building providing lodging and/or meals for the public',
  ],
  HUT: ['S', 'hut', 'a small primitive house'],
  HUTS: ['S', 'huts', 'small primitive houses'],
  INSM: [
    'S',
    'military installation',
    'a facility for use of and control by armed forces',
  ],
  ITTR: ['S', 'research institute', 'a facility where research is carried out'],
  JTY: [
    'S',
    'jetty',
    'a structure built out into the water at a river mouth or harbor entrance to regulate currents and silting',
  ],
  LDNG: [
    'S',
    'landing',
    'a place where boats receive or discharge passengers and freight, but lacking most port facilities',
  ],
  LEPC: [
    'S',
    'leper colony',
    'a settled area inhabited by lepers in relative isolation',
  ],
  LIBR: [
    'S',
    'library',
    'A place in which information resources such as books are kept for reading, reference, or lending.',
  ],
  LNDF: [
    'S',
    'landfill',
    'a place for trash and garbage disposal in which the waste is buried between layers of earth to build up low-lying land',
  ],
  LOCK: [
    'S',
    'lock(s)',
    'a basin in a waterway with gates at each end by means of which vessels are passed from one water level to another',
  ],
  LTHSE: [
    'S',
    'lighthouse',
    'a distinctive structure exhibiting a major navigation light',
  ],
  MALL: [
    'S',
    'mall',
    'A large, often enclosed shopping complex containing various stores, businesses, and restaurants usually accessible by common passageways.',
  ],
  MAR: ['S', 'marina', 'a harbor facility for small boats, yachts, etc.'],
  MFG: [
    'S',
    'factory',
    'one or more buildings where goods are manufactured, processed or fabricated',
  ],
  MFGB: ['S', 'brewery', 'one or more buildings where beer is brewed'],
  MFGC: ['S', 'cannery', 'a building where food items are canned'],
  MFGCU: ['S', 'copper works', 'a facility for processing copper ore'],
  MFGLM: ['S', 'limekiln', 'a furnace in which limestone is reduced to lime'],
  MFGM: ['S', 'munitions plant', 'a factory where ammunition is made'],
  MFGPH: ['S', 'phosphate works', 'a facility for producing fertilizer'],
  MFGQ: ['S', 'abandoned factory', ''],
  MFGSG: [
    'S',
    'sugar refinery',
    'a facility for converting raw sugar into refined sugar',
  ],
  MKT: [
    'S',
    'market',
    'a place where goods are bought and sold at regular intervals',
  ],
  ML: [
    'S',
    'mill(s)',
    'a building housing machines for transforming, shaping, finishing, grinding, or extracting products',
  ],
  MLM: [
    'S',
    'ore treatment plant',
    'a facility for improving the metal content of ore by concentration',
  ],
  MLO: ['S', 'olive oil mill', 'a mill where oil is extracted from olives'],
  MLSG: [
    'S',
    'sugar mill',
    'a facility where sugar cane is processed into raw sugar',
  ],
  MLSGQ: [
    'S',
    'former sugar mill',
    'a sugar mill no longer used as a sugar mill',
  ],
  MLSW: [
    'S',
    'sawmill',
    'a mill where logs or lumber are sawn to specified shapes and sizes',
  ],
  MLWND: ['S', 'windmill', 'a mill or water pump powered by wind'],
  MLWTR: ['S', 'water mill', 'a mill powered by running water'],
  MN: [
    'S',
    'mine(s)',
    'a site where mineral ores are extracted from the ground by excavating surface pits and subterranean passages',
  ],
  MNAU: [
    'S',
    'gold mine(s)',
    'a mine where gold ore, or alluvial gold is extracted',
  ],
  MNC: ['S', 'coal mine(s)', 'a mine where coal is extracted'],
  MNCR: ['S', 'chrome mine(s)', 'a mine where chrome ore is extracted'],
  MNCU: ['S', 'copper mine(s)', 'a mine where copper ore is extracted'],
  MNFE: ['S', 'iron mine(s)', 'a mine where iron ore is extracted'],
  MNMT: ['S', 'monument', 'a commemorative structure or statue'],
  MNN: ['S', 'salt mine(s)', 'a mine from which salt is extracted'],
  MNQ: ['S', 'abandoned mine', ''],
  MNQR: [
    'S',
    'quarry(-ies)',
    'a surface mine where building stone or gravel and sand, etc. are extracted',
  ],
  MOLE: [
    'S',
    'mole',
    'a massive structure of masonry or large stones serving as a pier or breakwater',
  ],
  MSQE: ['S', 'mosque', 'a building for public Islamic worship'],
  MSSN: [
    'S',
    'mission',
    'a place characterized by dwellings, school, church, hospital and other facilities operated by a religious group for the purpose of providing charitable services and to propagate religion',
  ],
  MSSNQ: ['S', 'abandoned mission', ''],
  MSTY: [
    'S',
    'monastery',
    'a building and grounds where a community of monks lives in seclusion',
  ],
  MTRO: ['S', 'metro station', 'metro station (Underground, Tube, or Metro) '],
  MUS: [
    'S',
    'museum',
    'a building where objects of permanent interest in one or more of the arts and sciences are preserved and exhibited',
  ],
  NOV: [
    'S',
    'novitiate',
    'a religious house or school where novices are trained',
  ],
  NSY: [
    'S',
    'nursery(-ies)',
    'a place where plants are propagated for transplanting or grafting',
  ],
  OBPT: ['S', 'observation point', 'a wildlife or scenic observation point'],
  OBS: [
    'S',
    'observatory',
    'a facility equipped for observation of atmospheric or space phenomena',
  ],
  OBSR: [
    'S',
    'radio observatory',
    'a facility equipped with an array of antennae for receiving radio waves from space',
  ],
  OILJ: [
    'S',
    'oil pipeline junction',
    'a section of an oil pipeline where two or more pipes join together',
  ],
  OILQ: ['S', 'abandoned oil well', ''],
  OILR: [
    'S',
    'oil refinery',
    'a facility for converting crude oil into refined petroleum products',
  ],
  OILT: [
    'S',
    'tank farm',
    'a tract of land occupied by large, cylindrical, metal tanks in which oil or liquid petrochemicals are stored',
  ],
  OILW: ['S', 'oil well', 'a well from which oil may be pumped'],
  OPRA: [
    'S',
    'opera house',
    'A theater designed chiefly for the performance of operas.',
  ],
  PAL: [
    'S',
    'palace',
    'a large stately house, often a royal or presidential residence',
  ],
  PGDA: [
    'S',
    'pagoda',
    'a tower-like storied structure, usually a Buddhist shrine',
  ],
  PIER: [
    'S',
    'pier',
    'a structure built out into navigable water on piles providing berthing for ships and recreation',
  ],
  PKLT: ['S', 'parking lot', 'an area used for parking vehicles'],
  PMPO: [
    'S',
    'oil pumping station',
    'a facility for pumping oil through a pipeline',
  ],
  PMPW: [
    'S',
    'water pumping station',
    'a facility for pumping water from a major well or through a pipeline',
  ],
  PO: [
    'S',
    'post office',
    'a public building in which mail is received, sorted and distributed',
  ],
  PP: ['S', 'police post', 'a building in which police are stationed'],
  PPQ: ['S', 'abandoned police post', ''],
  PRKGT: ['S', 'park gate', 'a controlled access to a park'],
  PRKHQ: ['S', 'park headquarters', 'a park administrative facility'],
  PRN: ['S', 'prison', 'a facility for confining prisoners'],
  PRNJ: [
    'S',
    'reformatory',
    'a facility for confining, training, and reforming young law offenders',
  ],
  PRNQ: ['S', 'abandoned prison', ''],
  PS: ['S', 'power station', 'a facility for generating electric power'],
  PSH: [
    'S',
    'hydroelectric power station',
    'a building where electricity is generated from water power',
  ],
  PSN: ['S', 'nuclear power station', 'nuclear power station'],
  PSTB: [
    'S',
    'border post',
    'a post or station at an international boundary for the regulation of movement of people and goods',
  ],
  PSTC: [
    'S',
    'customs post',
    'a building at an international boundary where customs and duties are paid on goods',
  ],
  PSTP: ['S', 'patrol post', 'a post from which patrols are sent out'],
  PYR: [
    'S',
    'pyramid',
    'an ancient massive structure of square ground plan with four triangular faces meeting at a point and used for enclosing tombs',
  ],
  PYRS: [
    'S',
    'pyramids',
    'ancient massive structures of square ground plan with four triangular faces meeting at a point and used for enclosing tombs',
  ],
  QUAY: [
    'S',
    'quay',
    'a structure of solid construction along a shore or bank which provides berthing for ships and which generally provides cargo handling facilities',
  ],
  RDCR: [
    'S',
    'traffic circle',
    'a road junction formed around a central circle about which traffic moves in one direction only',
  ],
  RDIN: [
    'S',
    'intersection',
    'a junction of two or more highways by a system of separate levels that permit traffic to pass from one to another without the crossing of traffic streams',
  ],
  RECG: ['S', 'golf course', 'a recreation field where golf is played'],
  RECR: ['S', 'racetrack', 'a track where races are held'],
  REST: ['S', 'restaurant', 'A place where meals are served to the public'],
  RET: [
    'S',
    'store',
    'a building where goods and/or services are offered for sale',
  ],
  RHSE: [
    'S',
    'resthouse',
    'a structure maintained for the rest and shelter of travelers',
  ],
  RKRY: ['S', 'rookery', 'a breeding place of a colony of birds or seals'],
  RLG: [
    'S',
    'religious site',
    'an ancient site of significant religious importance',
  ],
  RLGR: [
    'S',
    'retreat',
    'a place of temporary seclusion, especially for religious groups',
  ],
  RNCH: [
    'S',
    'ranch(es)',
    'a large farm specializing in extensive grazing of livestock',
  ],
  RSD: [
    'S',
    'railroad siding',
    'a short track parallel to and joining the main track',
  ],
  RSGNL: [
    'S',
    'railroad signal',
    'a signal at the entrance of a particular section of track governing the movement of trains',
  ],
  RSRT: [
    'S',
    'resort',
    'a specialized facility for vacation, health, or participation sports activities',
  ],
  RSTN: [
    'S',
    'railroad station',
    'a facility comprising ticket office, platforms, etc. for loading and unloading train passengers and freight',
  ],
  RSTNQ: ['S', 'abandoned railroad station', ''],
  RSTP: [
    'S',
    'railroad stop',
    'a place lacking station facilities where trains stop to pick up and unload passengers and freight',
  ],
  RSTPQ: ['S', 'abandoned railroad stop', ''],
  RUIN: [
    'S',
    'ruin(s)',
    'a destroyed or decayed structure which is no longer functional',
  ],
  SCH: [
    'S',
    'school',
    'building(s) where instruction in one or more branches of knowledge takes place',
  ],
  SCHA: [
    'S',
    'agricultural school',
    'a school with a curriculum focused on agriculture',
  ],
  SCHC: [
    'S',
    'college',
    'the grounds and buildings of an institution of higher learning',
  ],
  SCHL: ['S', 'language school', 'Language Schools & Institutions'],
  SCHM: [
    'S',
    'military school',
    'a school at which military science forms the core of the curriculum',
  ],
  SCHN: [
    'S',
    'maritime school',
    'a school at which maritime sciences form the core of the curriculum',
  ],
  SCHT: [
    'S',
    'technical school',
    'post-secondary school with a specifically technical or vocational curriculum',
  ],
  SECP: ['S', 'State Exam Prep Centre', 'state exam preparation centres'],
  SHPF: [
    'S',
    'sheepfold',
    'a fence or wall enclosure for sheep and other small herd animals',
  ],
  SHRN: [
    'S',
    'shrine',
    'a structure or place memorializing a person or religious concept',
  ],
  SHSE: [
    'S',
    'storehouse',
    'a building for storing goods, especially provisions',
  ],
  SLCE: [
    'S',
    'sluice',
    'a conduit or passage for carrying off surplus water from a waterbody, usually regulated by means of a sluice gate',
  ],
  SNTR: [
    'S',
    'sanatorium',
    'a facility where victims of physical or mental disorders are treated',
  ],
  SPA: [
    'S',
    'spa',
    'a resort area usually developed around a medicinal spring',
  ],
  SPLY: [
    'S',
    'spillway',
    'a passage or outlet through which surplus water flows over, around or through a dam',
  ],
  SQR: [
    'S',
    'square',
    'a broad, open, public area near the center of a town or city',
  ],
  STBL: [
    'S',
    'stable',
    'a building for the shelter and feeding of farm animals, especially horses',
  ],
  STDM: [
    'S',
    'stadium',
    'a structure with an enclosure for athletic games with tiers of seats for spectators',
  ],
  STNB: [
    'S',
    'scientific research base',
    'a scientific facility used as a base from which research is carried out or monitored',
  ],
  STNC: [
    'S',
    'coast guard station',
    'a facility from which the coast is guarded by armed vessels',
  ],
  STNE: ['S', 'experiment station', 'a facility for carrying out experiments'],
  STNF: [
    'S',
    'forest station',
    'a collection of buildings and facilities for carrying out forest management',
  ],
  STNI: [
    'S',
    'inspection station',
    'a station at which vehicles, goods, and people are inspected',
  ],
  STNM: [
    'S',
    'meteorological station',
    'a station at which weather elements are recorded',
  ],
  STNR: [
    'S',
    'radio station',
    'a facility for producing and transmitting information by radio waves',
  ],
  STNS: [
    'S',
    'satellite station',
    'a facility for tracking and communicating with orbiting satellites',
  ],
  STNW: [
    'S',
    'whaling station',
    'a facility for butchering whales and processing train oil',
  ],
  STPS: [
    'S',
    'steps',
    'stones or slabs placed for ease in ascending or descending a steep slope',
  ],
  SWT: [
    'S',
    'sewage treatment plant',
    'facility for the processing of sewage and/or wastewater',
  ],
  SYG: [
    'S',
    'synagogue',
    'a place for Jewish worship and religious instruction',
  ],
  THTR: [
    'S',
    'theater',
    'a building or outdoor area used for live theatrical presentations, concerts, opera or dance productions, cinema, and/or other stage productions',
  ],
  TMB: ['S', 'tomb(s)', 'a structure for interring bodies'],
  TMPL: ['S', 'temple(s)', 'an edifice dedicated to religious worship'],
  TNKD: [
    'S',
    'cattle dipping tank',
    'a small artificial pond used for immersing cattle in chemically treated water for disease control',
  ],
  TOLL: ['S', 'toll gate/barrier', 'highway toll collection station'],
  TOWR: [
    'S',
    'tower',
    'a high conspicuous structure, typically much higher than its diameter',
  ],
  TRAM: [
    'S',
    'tram',
    'rail vehicle along urban streets (also known as streetcar or trolley)',
  ],
  TRANT: [
    'S',
    'transit terminal',
    'facilities for the handling of vehicular freight and passengers',
  ],
  TRIG: [
    'S',
    'triangulation station',
    'a point on the earth whose position has been determined by triangulation',
  ],
  TRMO: [
    'S',
    'oil pipeline terminal',
    'a tank farm or loading facility at the end of an oil pipeline',
  ],
  TWO: ['S', 'temp work office', 'Temporary Work Offices'],
  UNIP: [
    'S',
    'university prep school',
    'University Preparation Schools & Institutions',
  ],
  UNIV: [
    'S',
    "university', 'An institution for higher learning with teaching and research facilities constituting a graduate school and professional schools that award master's degrees and doctorates and an undergraduate division that awards bachelor's degrees.",
  ],
  USGE: [
    'S',
    'united states government establishment',
    'a facility operated by the United States Government in Panama',
  ],
  VETF: [
    'S',
    'veterinary facility',
    'a building or camp at which veterinary services are available',
  ],
  WALL: [
    'S',
    'wall',
    'a thick masonry structure, usually enclosing a field or building, or forming the side of a structure',
  ],
  WALLA: [
    'S',
    'ancient wall',
    'the remains of a linear defensive stone structure',
  ],
  WEIR: [
    'S',
    'weir(s)',
    'a small dam in a stream, designed to raise the water level or to divert stream flow through a desired channel',
  ],
  WHRF: [
    'S',
    'wharf(-ves)',
    'a structure of open rather than solid construction along a shore or a bank which provides berthing for ships and cargo-handling facilities',
  ],
  WRCK: ['S', 'wreck', 'the site of the remains of a wrecked vessel'],
  WTRW: [
    'S',
    'waterworks',
    'a facility for supplying potable water through a water source and a system of pumps and filtration beds',
  ],
  ZNF: [
    'S',
    'free trade zone',
    'an area, usually a section of a port, where goods may be received and shipped free of customs duty and of most customs regulations',
  ],
  ZOO: [
    'S',
    'zoo',
    'a zoological garden or park where wild animals are kept for exhibition',
  ],
  ASPH: [
    'T',
    'asphalt lake',
    'a small basin containing naturally occurring asphalt',
  ],
  ATOL: [
    'T',
    'atoll(s)',
    'a ring-shaped coral reef which has closely spaced islands on it encircling a lagoon',
  ],
  BAR: [
    'T',
    'bar',
    'a shallow ridge or mound of coarse unconsolidated material in a stream channel, at the mouth of a stream, estuary, or lagoon and in the wave-break zone along coasts',
  ],
  BCH: [
    'T',
    'beach',
    'a shore zone of coarse unconsolidated sediment that extends from the low-water line to the highest reach of storm waves',
  ],
  BCHS: [
    'T',
    'beaches',
    'a shore zone of coarse unconsolidated sediment that extends from the low-water line to the highest reach of storm waves',
  ],
  BDLD: [
    'T',
    'badlands',
    'an area characterized by a maze of very closely spaced, deep, narrow, steep-sided ravines, and sharp crests and pinnacles',
  ],
  BLDR: [
    'T',
    'boulder field',
    'a high altitude or high latitude bare, flat area covered with large angular rocks',
  ],
  BLHL: [
    'T',
    'blowhole(s)',
    'a hole in coastal rock through which sea water is forced by a rising tide or waves and spurted through an outlet into the air',
  ],
  BLOW: [
    'T',
    'blowout(s)',
    'a small depression in sandy terrain, caused by wind erosion',
  ],
  BNCH: [
    'T',
    'bench',
    'a long, narrow bedrock platform bounded by steeper slopes above and below, usually overlooking a waterbody',
  ],
  BUTE: [
    'T',
    'butte(s)',
    'a small, isolated, usually flat-topped hill with steep sides',
  ],
  CAPE: [
    'T',
    'cape',
    'a land area, more prominent than a point, projecting into the sea and marking a notable change in coastal direction',
  ],
  CFT: [
    'T',
    'cleft(s)',
    'a deep narrow slot, notch, or groove in a coastal cliff',
  ],
  CLDA: [
    'T',
    'caldera',
    'a depression measuring kilometers across formed by the collapse of a volcanic mountain',
  ],
  CLF: [
    'T',
    'cliff(s)',
    'a high, steep to perpendicular slope overlooking a waterbody or lower area',
  ],
  CNYN: [
    'T',
    'canyon',
    'a deep, narrow valley with steep sides cutting into a plateau or mountainous area',
  ],
  CONE: [
    'T',
    'cone(s)',
    'a conical landform composed of mud or volcanic material',
  ],
  CRDR: [
    'T',
    'corridor',
    'a strip or area of land having significance as an access way',
  ],
  CRQ: [
    'T',
    'cirque',
    'a bowl-like hollow partially surrounded by cliffs or steep slopes at the head of a glaciated valley',
  ],
  CRQS: [
    'T',
    'cirques',
    'bowl-like hollows partially surrounded by cliffs or steep slopes at the head of a glaciated valley',
  ],
  CRTR: [
    'T',
    'crater(s)',
    'a generally circular saucer or bowl-shaped depression caused by volcanic or meteorite explosive action',
  ],
  CUET: ['T', 'cuesta(s)', 'an asymmetric ridge formed on tilted strata'],
  DLTA: [
    'T',
    'delta',
    'a flat plain formed by alluvial deposits at the mouth of a stream',
  ],
  DPR: [
    'T',
    'depression(s)',
    'a low area surrounded by higher land and usually characterized by interior drainage',
  ],
  DSRT: [
    'T',
    'desert',
    'a large area with little or no vegetation due to extreme environmental conditions',
  ],
  DUNE: [
    'T',
    'dune(s)',
    'a wave form, ridge or star shape feature composed of sand',
  ],
  DVD: ['T', 'divide', 'a line separating adjacent drainage basins'],
  ERG: [
    'T',
    'sandy desert',
    'an extensive tract of shifting sand and sand dunes',
  ],
  FAN: [
    'T',
    'fan(s)',
    'a fan-shaped wedge of coarse alluvium with apex merging with a mountain stream bed and the fan spreading out at a low angle slope onto an adjacent plain',
  ],
  FORD: [
    'T',
    'ford',
    'a shallow part of a stream which can be crossed on foot or by land vehicle',
  ],
  FSR: ['T', 'fissure', 'a crack associated with volcanism'],
  GAP: ['T', 'gap', 'a low place in a ridge, not used for transportation'],
  GRGE: [
    'T',
    'gorge(s)',
    'a short, narrow, steep-sided section of a stream valley',
  ],
  HDLD: [
    'T',
    'headland',
    'a high projection of land extending into a large body of water beyond the line of the coast',
  ],
  HLL: [
    'T',
    'hill',
    'a rounded elevation of limited extent rising above the surrounding land with local relief of less than 300m',
  ],
  HLLS: [
    'T',
    'hills',
    'rounded elevations of limited extent rising above the surrounding land with local relief of less than 300m',
  ],
  HMCK: [
    'T',
    'hammock(s)',
    'a patch of ground, distinct from and slightly above the surrounding plain or wetland. Often occurs in groups',
  ],
  HMDA: [
    'T',
    'rock desert',
    'a relatively sand-free, high bedrock plateau in a hot desert, with or without a gravel veneer',
  ],
  INTF: [
    'T',
    'interfluve',
    'a relatively undissected upland between adjacent stream valleys',
  ],
  ISL: [
    'T',
    'island',
    'a tract of land, smaller than a continent, surrounded by water at high water',
  ],
  ISLET: ['T', 'islet', 'small island, bigger than rock, smaller than island.'],
  ISLF: [
    'T',
    'artificial island',
    'an island created by landfill or diking and filling in a wetland, bay, or lagoon',
  ],
  ISLM: ['T', 'mangrove island', 'a mangrove swamp surrounded by a waterbody'],
  ISLS: [
    'T',
    'islands',
    'tracts of land, smaller than a continent, surrounded by water at high water',
  ],
  ISLT: [
    'T',
    'land-tied island',
    'a coastal island connected to the mainland by barrier beaches, levees or dikes',
  ],
  ISLX: ['T', 'section of island', ''],
  ISTH: [
    'T',
    'isthmus',
    'a narrow strip of land connecting two larger land masses and bordered by water',
  ],
  KRST: [
    'T',
    'karst area',
    'a distinctive landscape developed on soluble rock such as limestone characterized by sinkholes, caves, disappearing streams, and underground drainage',
  ],
  LAVA: ['T', 'lava area', 'an area of solidified lava'],
  LEV: [
    'T',
    'levee',
    'a natural low embankment bordering a distributary or meandering stream; often built up artificially to control floods',
  ],
  MESA: [
    'T',
    'mesa(s)',
    'a flat-topped, isolated elevation with steep slopes on all sides, less extensive than a plateau',
  ],
  MND: ['T', 'mound(s)', 'a low, isolated, rounded hill'],
  MRN: [
    'T',
    'moraine',
    'a mound, ridge, or other accumulation of glacial till',
  ],
  MT: [
    'T',
    'mountain',
    'an elevation standing high above the surrounding area with small summit area, steep slopes and local relief of 300m or more',
  ],
  MTS: [
    'T',
    'mountains',
    'a mountain range or a group of mountains or high ridges',
  ],
  NKM: [
    'T',
    'meander neck',
    'a narrow strip of land between the two limbs of a meander loop at its narrowest point',
  ],
  NTK: [
    'T',
    'nunatak',
    'a rock or mountain peak protruding through glacial ice',
  ],
  NTKS: [
    'T',
    'nunataks',
    'rocks or mountain peaks protruding through glacial ice',
  ],
  PAN: [
    'T',
    'pan',
    'a near-level shallow, natural depression or basin, usually containing an intermittent lake, pond, or pool',
  ],
  PANS: [
    'T',
    'pans',
    'a near-level shallow, natural depression or basin, usually containing an intermittent lake, pond, or pool',
  ],
  PASS: [
    'T',
    'pass',
    'a break in a mountain range or other high obstruction, used for transportation from one side to the other [See also gap]',
  ],
  PEN: [
    'T',
    'peninsula',
    'an elongate area of land projecting into a body of water and nearly surrounded by water',
  ],
  PENX: ['T', 'section of peninsula', ''],
  PK: [
    'T',
    'peak',
    'a pointed elevation atop a mountain, ridge, or other hypsographic feature',
  ],
  PKS: [
    'T',
    'peaks',
    'pointed elevations atop a mountain, ridge, or other hypsographic features',
  ],
  PLAT: [
    'T',
    'plateau',
    'an elevated plain with steep slopes on one or more sides, and often with incised streams',
  ],
  PLATX: ['T', 'section of plateau', ''],
  PLDR: [
    'T',
    'polder',
    'an area reclaimed from the sea by diking and draining',
  ],
  PLN: [
    'T',
    'plain(s)',
    'an extensive area of comparatively level to gently undulating land, lacking surface irregularities, and usually adjacent to a higher area',
  ],
  PLNX: ['T', 'section of plain', ''],
  PROM: [
    'T',
    'promontory(-ies)',
    'a bluff or prominent hill overlooking or projecting into a lowland',
  ],
  PT: [
    'T',
    'point',
    'a tapering piece of land projecting into a body of water, less prominent than a cape',
  ],
  PTS: [
    'T',
    'points',
    'tapering pieces of land projecting into a body of water, less prominent than a cape',
  ],
  RDGB: [
    'T',
    'beach ridge',
    'a ridge of sand just inland and parallel to the beach, usually in series',
  ],
  RDGE: [
    'T',
    'ridge(s)',
    'a long narrow elevation with steep sides, and a more or less continuous crest',
  ],
  REG: [
    'T',
    'stony desert',
    'a desert plain characterized by a surface veneer of gravel and stones',
  ],
  RK: ['T', 'rock', 'a conspicuous, isolated rocky mass'],
  RKFL: [
    'T',
    'rockfall',
    'an irregular mass of fallen rock at the base of a cliff or steep slope',
  ],
  RKS: ['T', 'rocks', 'conspicuous, isolated rocky masses'],
  SAND: ['T', 'sand area', 'a tract of land covered with sand'],
  SBED: [
    'T',
    'dry stream bed',
    'a channel formerly containing the water of a stream',
  ],
  SCRP: [
    'T',
    'escarpment',
    'a long line of cliffs or steep slopes separating level surfaces above and below',
  ],
  SDL: [
    'T',
    'saddle',
    'a broad, open pass crossing a ridge or between hills or mountains',
  ],
  SHOR: [
    'T',
    'shore',
    'a narrow zone bordering a waterbody which covers and uncovers at high and low water, respectively',
  ],
  SINK: ['T', 'sinkhole', 'a small crater-shape depression in a karst area'],
  SLID: [
    'T',
    'slide',
    'a mound of earth material, at the base of a slope and the associated scoured area',
  ],
  SLP: ['T', 'slope(s)', 'a surface with a relatively uniform slope angle'],
  SPIT: [
    'T',
    'spit',
    'a narrow, straight or curved continuation of a beach into a waterbody',
  ],
  SPUR: [
    'T',
    'spur(s)',
    'a subordinate ridge projecting outward from a hill, mountain or other elevation',
  ],
  TAL: [
    'T',
    'talus slope',
    'a steep concave slope formed by an accumulation of loose rock fragments at the base of a cliff or steep slope',
  ],
  TRGD: [
    'T',
    'interdune trough(s)',
    'a long wind-swept trough between parallel longitudinal dunes',
  ],
  TRR: [
    'T',
    'terrace',
    'a long, narrow alluvial platform bounded by steeper slopes above and below, usually overlooking a waterbody',
  ],
  UPLD: [
    'T',
    'upland',
    'an extensive interior region of high land with low to moderate surface relief',
  ],
  VAL: ['T', 'valley', 'an elongated depression usually traversed by a stream'],
  VALG: [
    'T',
    'hanging valley',
    'a valley the floor of which is notably higher than the valley or shore to which it leads; most common in areas that have been glaciated',
  ],
  VALS: ['T', 'valleys', 'elongated depressions usually traversed by a stream'],
  VALX: ['T', 'section of valley', ''],
  VLC: [
    'T',
    'volcano',
    'a conical elevation composed of volcanic materials with a crater at the top',
  ],
  APNU: [
    'U',
    'apron',
    'a gentle slope, with a generally smooth surface, particularly found around groups of islands and seamounts',
  ],
  ARCU: [
    'U',
    'arch',
    'a low bulge around the southeastern end of the island of Hawaii',
  ],
  ARRU: [
    'U',
    'arrugado',
    'an area of subdued corrugations off Baja California',
  ],
  BDLU: [
    'U',
    'borderland',
    'a region adjacent to a continent, normally occupied by or bordering a shelf, that is highly irregular with depths well in excess of those typical of a shelf',
  ],
  BKSU: [
    'U',
    'banks',
    'elevations, typically located on a shelf, over which the depth of water is relatively shallow but sufficient for safe surface navigation',
  ],
  BNKU: [
    'U',
    'bank',
    'an elevation, typically located on a shelf, over which the depth of water is relatively shallow but sufficient for safe surface navigation',
  ],
  BSNU: [
    'U',
    'basin',
    'a depression more or less equidimensional in plan and of variable extent',
  ],
  CDAU: [
    'U',
    'cordillera',
    'an entire mountain system including the subordinate ranges, interior plateaus, and basins',
  ],
  CNSU: [
    'U',
    'canyons',
    'relatively narrow, deep depressions with steep sides, the bottom of which generally has a continuous slope',
  ],
  CNYU: [
    'U',
    'canyon',
    'a relatively narrow, deep depression with steep sides, the bottom of which generally has a continuous slope',
  ],
  CRSU: [
    'U',
    'continental rise',
    'a gentle slope rising from oceanic depths towards the foot of a continental slope',
  ],
  DEPU: [
    'U',
    'deep',
    'a localized deep area within the confines of a larger feature, such as a trough, basin or trench',
  ],
  EDGU: [
    'U',
    'shelf edge',
    'a line along which there is a marked increase of slope at the outer margin of a continental shelf or island shelf',
  ],
  ESCU: [
    'U',
    'escarpment (or scarp)',
    'an elongated and comparatively steep slope separating flat or gently sloping areas',
  ],
  FANU: [
    'U',
    'fan',
    'a relatively smooth feature normally sloping away from the lower termination of a canyon or canyon system',
  ],
  FLTU: ['U', 'flat', 'a small level or nearly level area'],
  FRZU: [
    'U',
    'fracture zone',
    'an extensive linear zone of irregular topography of the sea floor, characterized by steep-sided or asymmetrical ridges, troughs, or escarpments',
  ],
  FURU: ['U', 'furrow', 'a closed, linear, narrow, shallow depression'],
  GAPU: ['U', 'gap', 'a narrow break in a ridge or rise'],
  GLYU: ['U', 'gully', 'a small valley-like feature'],
  HLLU: ['U', 'hill', 'an elevation rising generally less than 500 meters'],
  HLSU: ['U', 'hills', 'elevations rising generally less than 500 meters'],
  HOLU: ['U', 'hole', 'a small depression of the sea floor'],
  KNLU: [
    'U',
    'knoll',
    'an elevation rising generally more than 500 meters and less than 1,000 meters and of limited extent across the summit',
  ],
  KNSU: [
    'U',
    'knolls',
    'elevations rising generally more than 500 meters and less than 1,000 meters and of limited extent across the summits',
  ],
  LDGU: [
    'U',
    'ledge',
    'a rocky projection or outcrop, commonly linear and near shore',
  ],
  LEVU: [
    'U',
    'levee',
    'an embankment bordering a canyon, valley, or seachannel',
  ],
  MESU: [
    'U',
    'mesa',
    'an isolated, extensive, flat-topped elevation on the shelf, with relatively steep sides',
  ],
  MNDU: ['U', 'mound', 'a low, isolated, rounded hill'],
  MOTU: [
    'U',
    'moat',
    'an annular depression that may not be continuous, located at the base of many seamounts, islands, and other isolated elevations',
  ],
  MTU: [
    'U',
    'mountain',
    'a well-delineated subdivision of a large and complex positive feature',
  ],
  PKSU: [
    'U',
    'peaks',
    'prominent elevations, part of a larger feature, either pointed or of very limited extent across the summit',
  ],
  PKU: [
    'U',
    'peak',
    'a prominent elevation, part of a larger feature, either pointed or of very limited extent across the summit',
  ],
  PLNU: ['U', 'plain', 'a flat, gently sloping or nearly level region'],
  PLTU: [
    'U',
    'plateau',
    'a comparatively flat-topped feature of considerable extent, dropping off abruptly on one or more sides',
  ],
  PNLU: [
    'U',
    'pinnacle',
    'a high tower or spire-shaped pillar of rock or coral, alone or cresting a summit',
  ],
  PRVU: [
    'U',
    'province',
    'a region identifiable by a group of similar physiographic features whose characteristics are markedly in contrast with surrounding areas',
  ],
  RDGU: ['U', 'ridge', 'a long narrow elevation with steep sides'],
  RDSU: ['U', 'ridges', 'long narrow elevations with steep sides'],
  RFSU: [
    'U',
    'reefs',
    'surface-navigation hazards composed of consolidated material',
  ],
  RFU: [
    'U',
    'reef',
    'a surface-navigation hazard composed of consolidated material',
  ],
  RISU: [
    'U',
    'rise',
    'a broad elevation that rises gently, and generally smoothly, from the sea floor',
  ],
  SCNU: [
    'U',
    'seachannel',
    'a continuously sloping, elongated depression commonly found in fans or plains and customarily bordered by levees on one or two sides',
  ],
  SCSU: [
    'U',
    'seachannels',
    'continuously sloping, elongated depressions commonly found in fans or plains and customarily bordered by levees on one or two sides',
  ],
  SDLU: [
    'U',
    'saddle',
    'a low part, resembling in shape a saddle, in a ridge or between contiguous seamounts',
  ],
  SHFU: [
    'U',
    'shelf',
    'a zone adjacent to a continent (or around an island) that extends from the low water line to a depth at which there is usually a marked increase of slope towards oceanic depths',
  ],
  SHLU: [
    'U',
    'shoal',
    'a surface-navigation hazard composed of unconsolidated material',
  ],
  SHSU: [
    'U',
    'shoals',
    'hazards to surface navigation composed of unconsolidated material',
  ],
  SHVU: [
    'U',
    'shelf valley',
    'a valley on the shelf, generally the shoreward extension of a canyon',
  ],
  SILU: ['U', 'sill', 'the low part of a gap or saddle separating basins'],
  SLPU: [
    'U',
    'slope',
    'the slope seaward from the shelf edge to the beginning of a continental rise or the point where there is a general reduction in slope',
  ],
  SMSU: [
    'U',
    'seamounts',
    'elevations rising generally more than 1,000 meters and of limited extent across the summit',
  ],
  SMU: [
    'U',
    'seamount',
    'an elevation rising generally more than 1,000 meters and of limited extent across the summit',
  ],
  SPRU: [
    'U',
    'spur',
    'a subordinate elevation, ridge, or rise projecting outward from a larger feature',
  ],
  TERU: [
    'U',
    'terrace',
    'a relatively flat horizontal or gently inclined surface, sometimes long and narrow, which is bounded by a steeper ascending slope on one side and by a steep descending slope on the opposite side',
  ],
  TMSU: [
    'U',
    'tablemounts (or guyots)',
    'seamounts having a comparatively smooth, flat top',
  ],
  TMTU: [
    'U',
    'tablemount (or guyot)',
    'a seamount having a comparatively smooth, flat top',
  ],
  TNGU: [
    'U',
    'tongue',
    'an elongate (tongue-like) extension of a flat sea floor into an adjacent higher feature',
  ],
  TRGU: [
    'U',
    'trough',
    'a long depression of the sea floor characteristically flat bottomed and steep sided, and normally shallower than a trench',
  ],
  TRNU: [
    'U',
    'trench',
    'a long, narrow, characteristically very deep and asymmetrical depression of the sea floor, with relatively steep sides',
  ],
  VALU: [
    'U',
    'valley',
    'a relatively shallow, wide depression, the bottom of which usually has a continuous gradient',
  ],
  VLSU: [
    'U',
    'valleys',
    'a relatively shallow, wide depression, the bottom of which usually has a continuous gradient',
  ],
  BUSH: [
    'V',
    'bush(es)',
    'a small clump of conspicuous bushes in an otherwise bare area',
  ],
  CULT: ['V', 'cultivated area', 'an area under cultivation'],
  FRST: ['V', 'forest(s)', 'an area dominated by tree vegetation'],
  FRSTF: [
    'V',
    "fossilized forest', 'a forest fossilized by geologic processes and now exposed at the earth's surface",
  ],
  GROVE: [
    'V',
    'grove',
    'a small wooded area or collection of trees growing closely together, occurring naturally or deliberately planted',
  ],
  GRSLD: ['V', 'grassland', 'an area dominated by grass vegetation'],
  GRVC: ['V', 'coconut grove', 'a planting of coconut trees'],
  GRVO: ['V', 'olive grove', 'a planting of olive trees'],
  GRVP: ['V', 'palm grove', 'a planting of palm trees'],
  GRVPN: ['V', 'pine grove', 'a planting of pine trees'],
  HTH: [
    'V',
    'heath',
    'an upland moor or sandy area dominated by low shrubby vegetation including heather',
  ],
  MDW: [
    'V',
    'meadow',
    'a small, poorly drained area dominated by grassy vegetation',
  ],
  OCH: ['V', 'orchard(s)', 'a planting of fruit or nut trees'],
  SCRB: [
    'V',
    'scrubland',
    'an area of low trees, bushes, and shrubs stunted by some environmental limitation',
  ],
  TREE: ['V', 'tree(s)', 'a conspicuous tree used as a landmark'],
  TUND: [
    'V',
    'tundra',
    'a marshy, treeless, high latitude plain, dominated by mosses, lichens, and low shrub vegetation under permafrost conditions',
  ],
  VIN: ['V', 'vineyard', 'a planting of grapevines'],
  VINS: ['V', 'vineyards', 'plantings of grapevines'],
};
