import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { CommandModule } from 'nestjs-command';
import { GeonamesCommand } from './geonames.command';
import { GeonamesController } from './geonames.controller';
import { Geoname } from './geonames.entity';
import { GeonamesService } from './geonames.service';

@Module({
  imports: [CommandModule, TypeOrmModule.forFeature([Geoname], 'geobase')],
  controllers: [GeonamesController],
  providers: [GeonamesService, GeonamesCommand],
  exports: [GeonamesService],
})
export class GeonamesModule {}
